#
# spec file for package ocaml-benchmark
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           ocaml-benchmark
Version:        1.6
Release:        1.40
%{?ocaml_preserve_bytecode}
Summary:        Benchmarking module for OCaml
License:        LGPL-3.0-or-later WITH OCaml-linking-exception
Group:          Development/Languages/OCaml
URL:            https://github.com/Chris00/ocaml-benchmark
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20191101
BuildRequires:  ocamlfind(unix)

%description
Benchmark provides functions to measure and compare the run-time of functions.
It is inspired by the Perl module of the same name.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Languages/OCaml
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
dune_release_pkgs='benchmark'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %{name}.files

%files devel -f %{name}.files.devel

%changelog
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 1.6, via _service file
  Fix some typos in the documentation.
  Add option --all to the Tree.arg.
  Fix uncaught exception in Tree.run_global.
* Tue Jan 23 2018 andy@onthewings.net
- Initial packaging of version 1.4.
